summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2012-09-24 11:00:46 -0500
committer dsomero <xgizzmo@slackbuilds.org>2012-10-01 20:12:38 -0400
commitd17da96e395cad01e4b75c51c553dd2abd7c55b2 (patch)
tree0eb1ec9d160a808b27bde22c84269dd434801247
parent87766b9a8d79b0e03d19f7c477ca58bdbf44640a (diff)
downloadslackbuilds-d17da96e395cad01e4b75c51c553dd2abd7c55b2.tar.gz
slackbuilds-d17da96e395cad01e4b75c51c553dd2abd7c55b2.tar.xz
multimedia/HandBrake: Updated for version 0.9.8
Signed-off-by: dsomero <xgizzmo@slackbuilds.org> Signed-off-by: Erik Hanson <erik@slackbuilds.org>
-rw-r--r--multimedia/HandBrake/HandBrake.SlackBuild33
-rw-r--r--multimedia/HandBrake/HandBrake.info40
-rw-r--r--multimedia/HandBrake/README3
3 files changed, 42 insertions, 34 deletions
diff --git a/multimedia/HandBrake/HandBrake.SlackBuild b/multimedia/HandBrake/HandBrake.SlackBuild
index 361695e7de..7a70329025 100644
--- a/multimedia/HandBrake/HandBrake.SlackBuild
+++ b/multimedia/HandBrake/HandBrake.SlackBuild
@@ -4,9 +4,10 @@
# This slackbuild maintained by Klaatu at klaatu@hackerpublicradio.org
# Modified by David Somero at SlackBuilds.org.
+# Modified by Erik Hanson at SlackBuilds.org
PRGNAM=HandBrake
-VERSION=${VERSION:-0.9.5}
+VERSION=${VERSION:-0.9.8}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -23,35 +24,45 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-set -e
-
-# Support building with no GUI.
-if [ "${GUI:-yes}" = "no" ]; then
- GUI="--disable-gtk"
+if [ "$ARCH" = "i486" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
-mkdir download
+mkdir -p download
cp -r $CWD/* download
chown -R root:root .
chmod -R a-s,u+w,g-w+r,o-w+r .
-./configure $GUI \
- --prefix=/usr\
+./configure \
+ --prefix=/usr \
+ --disable-gtk-update-checks \
--arch=$ARCH
cd build
- make
+ # Fix underlinking by configuring the gtk module first, then sed:
+ make gtk.configure
+ sed -i '/^LDFLAGS/s/$/ -ltheoraenc -ltheoradec/' gtk/src/Makefile
+ make
make install DESTDIR=$PKG
cd $TMP/$PRGNAM-$VERSION
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING CREDITS NEWS THANKS $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING CREDITS NEWS THANKS TRANSLATIONS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/multimedia/HandBrake/HandBrake.info b/multimedia/HandBrake/HandBrake.info
index dcf22a016b..d0c4332de4 100644
--- a/multimedia/HandBrake/HandBrake.info
+++ b/multimedia/HandBrake/HandBrake.info
@@ -1,60 +1,60 @@
PRGNAM="HandBrake"
-VERSION="0.9.5"
+VERSION="0.9.8"
HOMEPAGE="http://handbrake.fr/"
-DOWNLOAD="http://downloads.sourceforge.net/project/handbrake/0.9.5/HandBrake-0.9.5.tar.bz2 \
+DOWNLOAD="http://downloads.sourceforge.net/project/handbrake/0.9.8/HandBrake-0.9.8.tar.bz2 \
http://download.m0k.org/handbrake/contrib/a52dec-0.7.4.tar.gz \
http://download.handbrake.fr/handbrake/contrib/bzip2-1.0.6.tar.gz \
http://download.m0k.org/handbrake/contrib/faac-1.28.tar.gz \
http://download.m0k.org/handbrake/contrib/faad2-2.7.tar.gz \
- http://download.m0k.org/handbrake/contrib/ffmpeg-r25689.tar.bz2 \
+ http://download.m0k.org/handbrake/contrib/ffmpeg-v0.7-1696-gcae4f4b.tar.bz2 \
http://download.m0k.org/handbrake/contrib/fontconfig-2.8.0.tar.gz \
- http://download.m0k.org/handbrake/contrib/freetype-2.3.9.tar.gz \
+ http://download.m0k.org/handbrake/contrib/freetype-2.4.7.tar.bz2 \
http://download.m0k.org/handbrake/contrib/lame-3.98.tar.gz \
- http://libass.googlecode.com/files/libass-0.9.9.tar.bz2 \
- http://download.m0k.org/handbrake/contrib/libbluray-0.0.1-pre-16-g1aab213.tar.gz \
+ http://download.handbrake.fr/handbrake/contrib/libass-0.10.0-1.tar.gz \
+ http://download.m0k.org/handbrake/contrib/libbluray-0.0.1-pre-213-ga869da8.tar.gz \
http://download.m0k.org/handbrake/contrib/libdca-r81-strapped.tar.gz \
http://download.m0k.org/handbrake/contrib/libdvdnav-svn1168.tar.gz \
http://download.m0k.org/handbrake/contrib/libdvdread-svn1168.tar.gz \
http://download.m0k.org/handbrake/contrib/libiconv-1.13.tar.bz2 \
- http://download.m0k.org/handbrake/contrib/libmkv-0.6.4.1-0-ga80e593.tar.bz2 \
- http://download.m0k.org/handbrake/contrib/libogg-1.1.3.tar.gz \
+ http://download.m0k.org/handbrake/contrib/libmkv-0.6.5-0-g82075ae.tar.gz \
+ http://download.m0k.org/handbrake/contrib/libogg-1.3.0.tar.gz \
http://download.m0k.org/handbrake/contrib/libsamplerate-0.1.4.tar.gz \
http://download.m0k.org/handbrake/contrib/libtheora-1.1.0.tar.bz2 \
- http://download.m0k.org/handbrake/contrib/libvorbis-aotuv_b5.tar.gz \
+ http://download.m0k.org/handbrake/contrib/libvorbis-aotuv_b6.03.tar.bz2 \
http://download.m0k.org/handbrake/contrib/libxml2-2.7.7.tar.gz \
http://mp4v2.googlecode.com/files/mp4v2-trunk-r355.tar.bz2 \
http://download.m0k.org/handbrake/contrib/mpeg2dec-0.5.1.tar.gz \
http://download.m0k.org/handbrake/contrib/pthreads-w32-cvs20100909.tar.bz2 \
- http://download.handbrake.fr/handbrake/contrib/x264-r1834-a51816a.tar.gz \
+ http://download.handbrake.fr/handbrake/contrib/x264-r2146-bcd41db.tar.gz \
http://download.m0k.org/handbrake/contrib/zlib-1.2.3.tar.gz"
-MD5SUM="e17d3663fc36a985fe43e188695e3196 \
+MD5SUM="71637bab2719a976d62d5c1944227b59 \
ce5a978bb359f642dcbd24c6e14a45a7 \
6ec09fe81e3380184ed11e21ea06c215 \
80763728d392c7d789cde25614c878f6 \
ee1b4d67ea2d76ee52c5621bc6dbf61e \
- a3afaa93224d321cd9e4971ad8d17570 \
+ 30b26cd69472d59c8e143837ebd47987 \
77e15a92006ddc2adbb06f840d591c0e \
- 9c2744f1aa72fe755adda33663aa3fad \
+ dbadce8f0c5e70a0b7c51eadf2dd9394 \
7036b52e792538fd665595d56b9e49a0 \
- 6f545089d838d524c4f3b12e8ef6ed38 \
- e2b6c143356acba946bf71dc5c24edd1 \
+ ec2b87024fc93792e5d11fb0ecaa1bd8 \
+ 3346d816ce311013b56360ab5670844a \
448bab6df6e4f738e4afaa6ebc085d65 \
327c0a3a4304d7c06d75199a75ad4f02 \
39cb0b27cc6b05e4f5c849dececf1f7a \
9c8b41b77f508edf72e26b406e873a2f \
- af1b218aa5a5a259a18b4647ae4cb001 \
- e3b881ea94a6d29749a19b024d2974ef \
+ 08ba2ae015de9b80ee6150d4a9b82e4c \
+ 0a7eb40b86ac050db3a789ab65fe21c2 \
69ec6c05f487458f688dda8f3e722e5d \
d0f83cf7f13e2b3bd068a858ca1398ad \
- e282d60273dcc8cc6602f65b434f3591 \
+ 586d2ac0fa13f32cba78be5db4a16330 \
9abc9959823ca9ff904f1fbcf21df066 \
38a753e936df5ef4c2f7de3d16f440f6 \
a6173dc90cfe7f0414624c3c8bbad727 \
d1dea735b53176567e9841ca77388633 \
- d360714750d234de675628aeb80cd80c \
+ 37266c57182535c0d1fc3a462afda6ee \
af3358a811ad3469a2e54db49f77d52a"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-REQUIRES="webkitgtk"
+REQUIRES=""
MAINTAINER="klaatu"
EMAIL="klaatu@hackerpublicradio.org"
diff --git a/multimedia/HandBrake/README b/multimedia/HandBrake/README
index 8166cd1a0e..43e142f021 100644
--- a/multimedia/HandBrake/README
+++ b/multimedia/HandBrake/README
@@ -5,9 +5,6 @@ pixel aspect ratio, deinterlacing, and so on.
The legality of ripping content from commercial DVDs may vary.
-webkitgtk is a dependency for the GUI only. Disable it with the following:
- "GUI=no ./HandBrake.SlackBuild"
-
Lacking a GUI, the binary is HandBrakeCLI -- not HandBrake as you might
otherwise expect. To launch this application after installing, type in
"HandBrakeCLI" For the manual, type in "HandBrakeCLI --help"